function [] = makescoremaps( scoresmatrix,figrows,figcolumns )
%Function: Make Images from a Scores Matrix
%
%Reshapes the most recently generated scores matrix into a series of
%images, and displays them grayscale in a figure. You must specify the
%number of rows and columns in the figure.
%
%OUTPUTS: none
global nrows
images=size(scoresmatrix,2);
if images <= figrows*figcolumns
figure
for n=1:images
scoresmap=reshape(scoresmatrix(:,n),nrows,[]);
scoresmap=mat2gray(scoresmap);
str = sprintf('Score %d',n);
subplot(figrows,figcolumns,n), imshow(scoresmap), colormap(jet), title(str), axis off
end
else
    Message=sprintf('You only designated %d spaces total in the figure, for %d images, please rectify and try again',figrows*figcolumns,images)
end
end

